/* Laptop and Desktop */
@media (min-width: 1025px) {
    .galleryPage {
        background-color: #fff;
    }
    .galleryPage .galleryContainer {
        display: grid;
        gap: 24px;
        background-color: #ffffff;
    }
    .galleryPage .galleryContainer .crumb {
        height: 68px;
        padding: 20px 264px;
    }
    .galleryPage .galleryContainer .crumb p {
        font-size: 18px;
        font-weight: 500;
        color: #2d2d2f;
        margin: 0;
    }
    .galleryPage .galleryContainer .galleryContent {
        display: grid;
        gap: 40px;
        padding: 0px 264px;
    }
    .galleryPage .galleryContainer .galleryContent .galleryHeader {
        display: grid;
        gap: 16px;
        justify-items: center;
    }
    .galleryPage .galleryContainer .galleryContent .galleryHeader h1 {
        margin: 0;
        font-size: 48px;
        font-weight: 700;
        color: #201c1c;
    }
    .galleryPage .galleryContainer .galleryContent .galleryHeader p {
        margin: 0;
        color: #232325;
        font-size: 16px;
        font-weight: 400;
        text-align: center;
    }
    .galleryPage .galleryContainer .galleryContent .gallery {
        display: flex;
        gap: 20px;
    }
    .galleryPage .galleryContainer .galleryContent .gallery .item {
        position: relative;
        overflow: hidden;
        border-radius: 8px;
        cursor: pointer;
        flex: 1;
        aspect-ratio: 16 / 9;
    }
    .galleryPage .galleryContainer .galleryContent .gallery .item img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        display: block;
        transition: transform 0.4s ease;
    }
    .galleryPage .galleryContainer .galleryContent .gallery .item:hover img {
        transform: scale(1.05);
    }
    .galleryPage .galleryContainer .galleryContent .gallery .item .overlay {
        position: absolute;
        left: 0;
        bottom: 0;
        width: 100%;
        padding: 16px;
        color: white;
        background: linear-gradient(to top, #1d5bd8, #7c7c7c00);
        box-sizing: border-box;
    }
    .galleryPage .galleryContainer .galleryContent .gallery .item .overlay h3 {
        margin: 0;
        font-size: 20px;
    }
    .galleryPage
        .galleryContainer
        .galleryContent
        .gallery
        .item
        .overlay
        span {
        font-size: 13px;
        opacity: 0.9;
    }
    .galleryPage .galleryContainer .pagination {
        display: flex;
        justify-content: center;
        gap: 8px;
        margin-top: 22px;
        padding-bottom: 40px;
    }
    .galleryPage .galleryContainer .pagination button {
        width: 40px;
        height: 40px;
        border: 1px solid #e5e5e8;
        background: #ffffff;
        color: #898995;
        font-size: 16px;
        font-weight: 600;
        display: inline-flex;
        align-items: center;
        justify-content: center;
        border-radius: 40px;
        cursor: pointer;
        padding: 0;
    }
    .galleryPage .galleryContainer .pagination button.active {
        background: #2470eb;
        color: #fff;
    }
    .galleryPage .galleryContainer .pagination button:disabled {
        opacity: 0.5;
        cursor: not-allowed;
    }
    .galleryPage .galleryContainer .galleryContent .gallery .item:only-child {
        flex: 0 0 50%;
        max-width: 700px;
        margin: 0 auto;
    }
}

/* Tablet */
@media (min-width: 641px) and (max-width: 1024px) {
    .galleryPage {
        background-color: #fff;
    }
    .galleryPage .galleryContainer {
        display: grid;
        gap: 10px;
        padding: 20px;
        background-color: #ffffff;
    }
    .galleryPage .galleryContainer .crumb {
        height: 68px;
        padding: 20px;
    }
    .galleryPage .galleryContainer .crumb p {
        font-size: 18px;
        font-weight: 500;
        color: #2d2d2f;
        margin: 0;
    }
    .galleryPage .galleryContainer .galleryContent {
        display: grid;
        gap: 40px;
        padding: 0px 20px;
    }
    .galleryPage .galleryContainer .galleryContent .galleryHeader {
        display: grid;
        gap: 16px;
        justify-items: center;
    }
    .galleryPage .galleryContainer .galleryContent .galleryHeader h1 {
        margin: 0;
        font-size: 48px;
        font-weight: 700;
        color: #201c1c;
    }
    .galleryPage .galleryContainer .galleryContent .galleryHeader p {
        margin: 0;
        color: #232325;
        font-size: 16px;
        font-weight: 400;
        text-align: center;
    }
    .galleryPage .galleryContainer .galleryContent .gallery {
        display: grid;
        gap: 20px;
        grid-template-columns: repeat(2, 1fr);
    }
    .galleryPage .galleryContainer .galleryContent .gallery .item {
        position: relative;
        overflow: hidden;
        border-radius: 8px;
    }
    .galleryPage .galleryContainer .galleryContent .gallery .item img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        display: block;
    }
    .galleryPage .galleryContainer .galleryContent .gallery .item .overlay {
        position: absolute;
        left: 0;
        bottom: 0;
        width: 100%;
        padding: 16px;
        color: white;
        background: linear-gradient(to top, #1d5bd8, #7c7c7c00);
        box-sizing: border-box;
    }
    .galleryPage .galleryContainer .galleryContent .gallery .item .overlay h3 {
        margin: 0;
        font-size: 20px;
    }
    .galleryPage
        .galleryContainer
        .galleryContent
        .gallery
        .item
        .overlay
        span {
        font-size: 13px;
        opacity: 0.9;
    }
    .galleryPage .galleryContainer .pagination {
        display: flex;
        justify-content: center;
        gap: 8px;
        margin-top: 22px;
    }
    .galleryPage .galleryContainer .pagination button {
        width: 40px;
        height: 40px;
        border: 1px solid #e5e5e8;
        background: #ffffff;
        color: #898995;
        font-size: 16px;
        font-weight: 600;
        display: inline-flex;
        align-items: center;
        justify-content: center;
        border-radius: 40px;
        padding: 0;
    }
    .galleryPage .galleryContainer .pagination button.active {
        background: #2470eb;
        color: #fff;
    }
}

/* Mobile */
@media (max-width: 640px) {
    .galleryPage {
        background-color: #fff;
    }
    .galleryPage .galleryContainer {
        display: grid;
        gap: 10px;
        background-color: #ffffff;
    }
    .galleryPage .galleryContainer .crumb {
        height: 46px;
        padding: 12px 0px;
    }
    .galleryPage .galleryContainer .crumb p {
        padding: 0px 10px;
        font-size: 14px;
        font-weight: 500;
        color: #2d2d2f;
        margin: 0;
    }
    .galleryPage .galleryContainer .galleryContent {
        display: grid;
        gap: 16px;
        padding: 0px 16px;
    }
    .galleryPage .galleryContainer .galleryContent .galleryHeader {
        display: grid;
        gap: 12px;
        justify-items: center;
    }
    .galleryPage .galleryContainer .galleryContent .galleryHeader h1 {
        margin: 0;
        font-size: 28px;
        font-weight: 700;
        color: #201c1c;
    }
    .galleryPage .galleryContainer .galleryContent .galleryHeader p {
        margin: 0;
        color: #232325;
        font-size: 13px;
        font-weight: 400;
        text-align: center;
    }
    .galleryPage .galleryContainer .galleryContent .gallery {
        display: grid;
        gap: 20px;
    }
    .galleryPage .galleryContainer .galleryContent .gallery .item {
        position: relative;
        overflow: hidden;
        border-radius: 8px;
    }
    .galleryPage .galleryContainer .galleryContent .gallery .item img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        display: block;
    }
    .galleryPage .galleryContainer .galleryContent .gallery .item .overlay {
        position: absolute;
        left: 0;
        bottom: 0;
        width: 100%;
        padding: 16px;
        color: white;
        background: linear-gradient(to top, #1d5bd8, #7c7c7c00);
        box-sizing: border-box;
    }
    .galleryPage .galleryContainer .galleryContent .gallery .item .overlay h3 {
        margin: 0;
        font-size: 20px;
    }
    .galleryPage
        .galleryContainer
        .galleryContent
        .gallery
        .item
        .overlay
        span {
        font-size: 13px;
        opacity: 0.9;
    }
    .galleryPage .galleryContainer .pagination {
        display: flex;
        justify-content: center;
        gap: 8px;
        margin-top: 22px;
    }
    .galleryPage .galleryContainer .pagination button {
        width: 40px;
        height: 40px;
        border: 1px solid #e5e5e8;
        background: #ffffff;
        color: #898995;
        font-size: 16px;
        font-weight: 600;
        display: inline-flex;
        align-items: center;
        justify-content: center;
        border-radius: 40px;
        padding: 0;
    }
    .galleryPage .galleryContainer .pagination button.active {
        background: #2470eb;
        color: #fff;
    }
}
